package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.seed.entity.SeedData;
import com.sw.mes.yb.seed.entity.SeedGroupBracketDetails;

import java.util.List;

public interface SeedGroupBracketDetailsService extends BaseService<SeedGroupBracketDetails> {
    List<SeedGroupBracketDetails> findParentId(Long id);
    List<SeedGroupBracketDetails> findBatchNo(String batchNo);
    List<SeedGroupBracketDetails> findBatchNoAndStatus(String batchNo);
    Boolean deleteParentId(Long id);

    SeedGroupBracketDetails findBySeedCode(String seedCode);
}
